This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 678728 - Review Request: synce-connector - Connection framework and dccm-implementation
Review Request: synce-connector - Connection framework and dccm-implementation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Markus Mayer
Fedora Extras Quality Assurance
http://www.synce.org/
:
Depends On:
Blocks: 498409 498410 520875 582365 701257
  Show dependency treegraph
 
Reported: 2011-02-19 00:31 EST by Andreas Bierfert
Modified: 2011-08-23 09:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-23 09:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
LotharLutz: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2011-02-19 00:31:57 EST
Spec URL: http://fedora.lowlatency.de/review/synce-connector.spec
SRPM URL: http://fedora.lowlatency.de/review/synce-connector-0.15.1-1.fc14.src.rpm
Description:

Synce-connector is a connection framework and dccm-implementation 
for Windows Mobile devices that integrates with HAL or udev.
Comment 1 Andreas Bierfert 2011-02-19 00:34:09 EST
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2840167
Comment 2 Sergio Belkin 2011-02-21 11:55:44 EST
Hi Andreas!

Your rpm has some issues: (I am (still) not member of Packaging group, however I hope you find this little review useful):

synce-connector.i686: W: non-conffile-in-etc /etc/ppp/peers/synce-bt-peer
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

http://fedoraproject.org/wiki/Packaging:Guidelines#Configuration_files and http://fedoraproject.org/wiki/Common_Rpmlint_issues#non-conffile-in-etc


You could take a look to wvdial spec for example

http://pkgs.fedoraproject.org/gitweb/?p=wvdial.git;a=blob;f=wvdial.spec;h=3bfc6ac99840938218ebf0fc53fb0dabd4d997a6;hb=master

HTH

Greets
Comment 4 Andreas Bierfert 2011-05-23 10:35:33 EDT
http://fedora.lowlatency.de/review/synce-connector-0.15.2-1.fc15.src.rpm
http://fedora.lowlatency.de/review/synce-connector.spec
https://koji.fedoraproject.org/koji/taskinfo?taskID=3087529

* Mon May 23 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-1
- version upgrade
Comment 5 Andreas Bierfert 2011-07-14 08:41:52 EDT
Rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3198492
Comment 6 Adam Williamson 2011-07-14 22:07:23 EDT
rpmlint now returns one error and three warnings:

synce-connector.x86_64: E: non-readable /etc/ppp/peers/synce-bt-peer 0600L
synce-connector.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.synce.dccm.conf
synce-connector.x86_64: W: no-manual-page-for-binary synce-unlock
synce-connector.x86_64: W: no-manual-page-for-binary synce-serial

the last two warnings can be ignored, the non-conffile-in-etc might be an issue, but of two other files in that directory that I checked, both were also not marked as config files, so it might be generally the case that these should not be config files (and that might need to be made an exception to the packaging guidelines, I guess).

The error may be okay if that file is only ever read as root; is that correct?
Comment 7 Andreas Bierfert 2011-07-15 02:06:57 EDT
Thank you for your comments.

synce-connector.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.synce.dccm.conf

From a quick look pulse marks it as config(noreplace) and bluez as config. I guess we are ok here with marking it as config(noreplace). You are right, maybe this should be mentioned in the guidelines somewhere.

synce-connector.x86_64: E: non-readable /etc/ppp/peers/synce-bt-peer 0600L
Fixed. Installed with default perms.

http://fedora.lowlatency.de/review/synce-connector.spec
http://fedora.lowlatency.de/review/synce-connector-0.15.2-2.fc16.src.rpm

* Fri Jul 15 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-2
- mark dbus conf as %%config(noreplace)
- install peer file with default permissions
- pull upstream fix for dccm naming
Comment 8 Markus Mayer 2011-08-22 12:22:11 EDT
Hi Andreas!

If you are still willing to bring to this package to fedora, I would do the review.


Creatings

Markus
Comment 9 Andreas Bierfert 2011-08-22 13:40:14 EDT
Hi Markus,

yes of course. This would actually fix f16's synce support...
Comment 10 Markus Mayer 2011-08-22 15:51:11 EDT
Hi Andreas!

Formal review:

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
[OK] MUST: The package must be named according to the Package Naming Guidelines .
[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
[OK] MUST: The package must meet the Packaging Guidelines .
[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[OK] MUST: The License field in the package spec file must match the actual license. [3]
[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
[OK] MUST: The spec file must be written in American English. [5]
[OK] MUST: The spec file for the package MUST be legible. [6]
[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
[N/A] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[OK] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[N/A] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[OK] MUST: Packages must NOT bundle copies of system libraries.[11]
[N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
[FAIL] MUST: Each package must consistently use macros. [16]
[OK] MUST: The package must contain code, or permissable content. [17]
[N/A] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[N/A] MUST: Header files must be in a -devel package. [19]
[N/A] MUST: Static libraries must be in a -static package. [20]
[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[OK] MUST: All filenames in rpm packages must be valid UTF-8. [24]

rpmlint output:
synce-connector.src: W: spelling-error Summary(en_US) dccm -> dc cm, dc-cm, Cmdr
synce-connector.src: W: spelling-error %description -l en_US dccm -> dc cm, dc-cm, Cmdr
synce-connector.src: W: spelling-error %description -l en_US udev -> devout
synce-connector.x86_64: W: no-manual-page-for-binary synce-unlock
synce-connector.x86_64: W: no-manual-page-for-binary synce-serial
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

rpmlint warning can be ignored.

Things to fix:
- As the udev scripts are python scripts a "Requires: python" would be a good idea

Things to discuss:
- Please use macros consitently. Replace '$RPM_BUILD_ROOT' with '%{RPM_BUILD_ROOT}'
- Please place the version information right after the changelog heading instead of putting it as a bullet point. eg: 
* Fri Jul 15 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.15.2-2

When these issues are fixed I will happily accept this package
Comment 11 Andreas Bierfert 2011-08-22 16:12:09 EDT
Thanks for reviewing!

Here is a spec with the first two issues fixed.
I would like to leave the version information as separate bullet point as with all the other packages I maintain. This has been clarified before and agreed to.

http://fedora.lowlatency.de/review/synce-connector-0.15.2-3.fc16.src.rpm
http://fedora.lowlatency.de/review/synce-connector.spec

* Mon Aug 22 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-3
- require python for udev scripts
- macro cleanups
Comment 12 Markus Mayer 2011-08-22 16:36:48 EDT
This package is APPROVED

If you are having trouble pushing this package to stable, feel free to contact me.
Comment 13 Andreas Bierfert 2011-08-22 16:46:28 EDT
New Package SCM Request
=======================
Package Name: synce-connector
Short Description: Connection framework and dccm-implementation
Owners: awjb
Branches: f16 f15
InitialCC:
Comment 14 Jon Ciesla 2011-08-23 09:05:38 EDT
Git done (by process-git-requests).
Comment 15 Andreas Bierfert 2011-08-23 09:58:19 EDT
Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.